 <?php

if (isset($_SERVER['HTTP_ORIGIN'])) {
    header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
    header('Access-Control-Allow-Credentials: true');
    header('Access-Control-Max-Age: 86400'); // cache for 1 day
}

error_reporting(E_ERROR | E_PARSE);

$_SESSION['database'] = $_GET['database'];
$_SESSION['op_id'] = $_GET['op_id'];

include 'conn.php';
include 'funciones.php';

$jsonData = array();
$jsonTempData = array();

$sql = "select tmpo.op_tipo, tmpo.op_num_ncf, " .
    "tmpo.op_nombre as cliente_nombre, " .
    "tmpo.op_num_rel as cliente_direccion, " .
    "tmpo.op_num_ncf as cliente_telefonos, " .
    "tmpo.c_idfiscal2 as c_idfiscal2, " .
    "tmpp.po_cant as cantidad, " .
    "tmpp.po_precio as ord_precio, " .
    "tmpp.porcdesc as porcdesc, " .
    "tmpp.porcdesc_general as porcdesc_general, " .
    "tmpp.po_id_prod as pr_id, " .
    "tmpp.po_descripcion as pr_descripcion, " .
    "tmpp.po_itbms as pr_itbms, " .
    "tmpo.op_desc, " .
    "tmpo.op_total, " .
    "tmpp.po_desc1, " .
    "tmpp.po_desc2 " .
    "from " . $_GET['database'] . ".tmp_operacion tmpo " .
    " join " . $_GET['database'] . ".tmp_producto_op tmpp on tmpo.op_id = tmpp.po_op_id " .
    " where tmpp.po_visible_grid = 'y' and tmpo.op_id = " . $_SESSION['op_id'];

//print_r($sql);

$qur = $connection->query($sql);

if ($_SESSION['codigo'] == "99") {

    $json->datos = "false";

} else {
    $json->datos = "true";

    while ($r = mysqli_fetch_assoc($qur)) {

        $raiz = 10;
        $multiplicador = pow($raiz, 3);

        $resultado = ((int) ($r['cantidad'] * $multiplicador)) / $multiplicador;
        $r['cantidad'] = number_format($resultado, 3);

        $jsonTempData = array();
        $jsonTempData['op_tipo'] = $r['op_tipo'];
        $jsonTempData['op_num_ncf'] = $r['op_num_ncf'];
        $jsonTempData['cliente_nombre'] = utf8_encode($r['cliente_nombre']);
        $jsonTempData['cliente_direccion'] = utf8_encode($r['cliente_direccion']);
        $jsonTempData['cliente_telefonos'] = utf8_encode($r['cliente_telefonos']);
        $jsonTempData['cliente_doc'] = utf8_encode($r['c_idfiscal2']);
        $jsonTempData['cantidad'] = $r['cantidad'];
        $jsonTempData['ord_precio'] = $r['ord_precio'];
        $jsonTempData['porcdesc'] = $r['porcdesc'];
        $jsonTempData['po_desc1'] = $r['po_desc1'];
        $jsonTempData['po_desc2'] = $r['po_desc2'];
        $jsonTempData['total'] = $r['op_total'];
        $jsonTempData['porcdesc_general'] = $r['porcdesc_general'];
        $jsonTempData['op_desc'] = $r['op_desc'];
        $jsonTempData['pr_id'] = $r['pr_id'];
        $jsonTempData['porc_imp'] = $r['pr_itbms'];
        $jsonTempData['pr_descripcion'] = utf8_encode($r['pr_descripcion']);
        $jsonData[] = $jsonTempData;
    }
    $json->jsonvaloresimpr = $jsonData;
}

//print_r($sql);

print_r(json_encode($json));

@mysqli_close($connection);
?>